Summary:     A documentation system for C/C++
Name:        doxygen
Version:     1.4.2
Release:     3.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
Patch0:      %{name}-redhat.patch
Patch1:      %{name}-qt30.patch
URL:         http://www.stack.nl/~dimitri/doxygen/index.html
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc libstdc++
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel gcc-c++ libstdc++-devel graphviz qt-devel
BuildPrereq: perl tetex-dvips tetex-latex ghostscript
ExclusiveOS: linux

%description
Doxygen can generate an online class browser (in HTML) and/or a
reference manual (in LaTeX) from a set of documented source files.
The documentation is extracted directly from the sources. Doxygen
can also be configured to extract the code structure from undocu-
mented source files.


%package wizard
Summary:     A GUI for creating and editing doxygen configfiles
Group:       User Interface/X
Requires:    %{name} = %{version}-%{release}
Requires:    qt libjpeg libmng libpng cups-libs freetype
Provides:    %{name}-wizard.pp

%description wizard
The %{name}-wizard package contains doxywizard, a GUI for creating
and editing configuration files used by %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
mkdir -p doc_inst


%build
QTDIR="" && . /etc/profile.d/qt.sh
export OLD_PO_FILE_INPUT=yes
./configure \
	--prefix /usr \
	--shared      \
	--release     \
	--with-doxywizard
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
export OLD_PO_FILE_INPUT=yes
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share
make \
	INSTALL=$RPM_BUILD_ROOT/usr \
	DOCDIR=`pwd`/doc_inst       \
	install_docs
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/man


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc Doxyfile INSTALL LANGUAGE* LICENSE PLATFORMS README
%doc VERSION doc_inst/*
/usr/bin/doxygen
/usr/bin/doxytag
/usr/share/man/man1/doxygen*
/usr/share/man/man1/doxytag*

%files wizard
%defattr(-, root, root)
/usr/bin/doxywizard
/usr/share/man/man1/doxywizard*


%changelog
* Thu Apr 14 2005 peter.pramberger@member.fsf.org
- created

